### Struct

# GVnc AudioSample

#### Description

    struct VncAudioSample {
      guint8* data;
      guint32 length;
      guint32 capacity;
    }

No description available.

###### Structure members

`data:` `guint8*`

  No description available.

`length:` `guint32`

  No description available.

`capacity:` `guint32`

  No description available.

#### Constructors

###### vnc_audio_sample_new

Allocate a new audio sample able to store `capacity` bytes of audio data.

#### Instance methods

###### vnc_audio_sample_copy

Allocate a new audio sample, initializing it with a copy of the data in `sample`.

###### vnc_audio_sample_free

Release memory associated with the audio sample `sample`.